Bug 131135 - Table icons incorrect when using Sukapura icon set
Summary: Table icons incorrect when using Sukapura icon set
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Rizal Muttaqin
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: Icon-Theme-Sukapura
  Show dependency treegraph
 
Reported: 2020-03-04 21:05 UTC by Drew Jensen
Modified: 2020-03-23 20:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screen shot with Sukapura icons (61.70 KB, image/png)
2020-03-04 21:05 UTC, Drew Jensen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Drew Jensen 2020-03-04 21:05:51 UTC
Created attachment 158397 [details]
Screen shot with Sukapura icons

Tested on Ubuntu 18.04 and
Version: 7.0.0.0.alpha0+
Build ID: 45ca47ac39c03df4de52d627a764f16068b1eab0


Reproduce

1 - Start LO and from Options->View select the Sukapura icons
2 - Open any .odb file with tables
2 - Change to the Table view section

results
Tables are listed with Calc document icons.

expected
Tables listed with a unique Table icon


See attached screen shot of a file which includes a View, which seems alight and I would suggest a Table icon would be just one of what depicts two joined tables in that icon
Comment 1 Commit Notification 2020-03-05 09:13:30 UTC
rizmut committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f3196e9f776538d2ee6b7b380b9eba00e22f27c8

Fix tdf#131135

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.